--- title: "Get Attacks for Rules Configuration" slug: "get-attacks-for-rules-configuration" tags: ["Reference", "IPS 10.1.10"] updated: 2026-09-23T09:34:39Z published: 2026-09-23T09:34:39Z canonical: "docs.trellix.com/get-attacks-for-rules-configuration" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.trellix.com/llms.txt > Use this file to discover all available pages before exploring further. # Get Attacks for Rules Configuration This URL is used to retrieve attack lists. ## Resource URL GET /globalautoack/attack/ ## Request Parameters URL Parameters: N/A ## Response Parameters Following fields are returned if the request parameters are correct, otherwise error details are returned. | Field Name | Description | Data Type | | --- | --- | --- | | attackId | Attack id | String | | attackName | Attack name | String | ## Example **Request** GET [https:///sdkapi/globalautoack/attacks/malware](https://%3CNSM_IP%3E/sdkapi/globalautoack) **Response** ``` { [ “attackId”:”0x23323223” “attackName”:“malwareBlocklist” ] } ```   ## Error Information N/A